/**
 ** mouse3dCntrlTaskCodels.c
 **
 ** Codels used by the control task mouse3dCntrlTask
 **
 ** Author:
 ** Date:
 **
 **/

#include <portLib.h>
#include "server/mouse3dHeader.h"
#include "spnav.h"

/*------------------------------------------------------------------------
 * mouse3dOffsetResetCntrl  -  control codel of CONTROL request OffsetReset
 *
 * Description:
 * Report: OK
 *                 S_mouse3d_POLL_ERROR
 *
 * Returns:    OK or ERROR
 */

STATUS
mouse3dOffsetResetCntrl(int *report)
{
  SDI_F->offset.x = SDI_F->measures.x ;
  SDI_F->offset.y = SDI_F->measures.y ;
  SDI_F->offset.z = SDI_F->measures.z ;
  SDI_F->offset.Rx = SDI_F->measures.Rx ;
  SDI_F->offset.Ry = SDI_F->measures.Ry ;
  SDI_F->offset.Rz = SDI_F->measures.Rz ;
  return OK;
}




